Bug 827632 - Printing PDF fails (although log says it's been ok), but postscript is ok
Printing PDF fails (although log says it's been ok), but postscript is ok
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
: 827490 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 18:18 EDT by Dan Naughton
Modified: 2013-02-13 18:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 18:54:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cups error log for reference (7.71 MB, text/plain)
2012-06-01 18:18 EDT, Dan Naughton
no flags Details
Output from S-C-P. (115.62 KB, text/plain)
2012-06-04 08:51 EDT, Dan Naughton
no flags Details
error log from lpr text file to printer setup in S-C-P - printing successful (101.74 KB, text/plain)
2012-06-04 08:53 EDT, Dan Naughton
no flags Details
error log from print dialog box in gedit to printer setup in S-C-P - printing failure (270.49 KB, text/plain)
2012-06-04 08:56 EDT, Dan Naughton
no flags Details
Screen shot of ricoh webserver on printer showing job was reset (8.01 KB, image/png)
2012-06-04 10:36 EDT, Dan Naughton
no flags Details
Screen shot of ricoh webserver on printer detailing job #4 of 4 (7.08 KB, image/png)
2012-06-04 10:37 EDT, Dan Naughton
no flags Details
Print To File output from gedit (11.30 KB, application/octet-stream)
2012-06-20 12:09 EDT, Tim Waugh
no flags Details

  None (edit)
Description Dan Naughton 2012-06-01 18:18:49 EDT
Created attachment 588593 [details]
cups error log for reference

Description of problem:
Printing from print dialog boxes fails, although print queue says job completed

Version-Release number of selected component (if applicable):
Linux localhost 3.3.6-3.fc16.x86_64 #1 SMP Wed May 16 21:43:01 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

cups-1.5.2-9.fc16.x86_64
system-config-printer-1.3.8-4.fc16.x86_64
selinux disabled
"lpr output.ps" works fine as user and root.

How reproducible:
every time

Steps to Reproduce:
1. configure network printer Ricoh CL1000N post script printer in s-c-p
2. verify that test page works
3. open gedit, print file to printer, check queue
  
Actual results:
Print Queue says complete
log file in printer state: "The job was reset"

Expected results:
printout of text file from gedit (or any app)

Additional info:
Comment 1 Jiri Popelka 2012-06-04 07:24:46 EDT
The log is too big with too many jobs.
Would it be possible to attach only a respective parts of error log for successful (printing via lpr) and unsuccessful (printing from gedit) job.

Or even better to attach outputs from printing troubleshooter [1] for these two jobs. When it asks you to print test page, print something via lpr or from gedit as previously. Thanks !

[1] https://fedoraproject.org/wiki/Printing/Debugging#Printing_troubleshooter
Comment 2 Dan Naughton 2012-06-04 08:51:36 EDT
Created attachment 589139 [details]
Output from S-C-P.

This is the output from the help part of S-C-P.  The printout came out of the printer as expected.    This was with the RAF10003.PPD driver.
Comment 3 Dan Naughton 2012-06-04 08:53:49 EDT
Created attachment 589141 [details]
error log from lpr text file to printer setup in S-C-P - printing successful

This is the output from 'lpr testdocumentforprinting.txt' to the printer setup in S-C-P.  This printout was successful.  It printed as expected.
Comment 4 Dan Naughton 2012-06-04 08:56:39 EDT
Created attachment 589142 [details]
error log from print dialog box in gedit to printer setup in S-C-P - printing failure

This is the output from error log when printing using the dialog box in gedit.  I have tried several different apps, all the same result.  Gedit was easiest.  THis is a one line text file of "another test".
Comment 5 Jiri Popelka 2012-06-04 10:07:41 EDT
Well, I can't find anything stuffy in the unsuccessful print log. It seems perfectly ok.
Even comparing with the successful one doesn't reveal any significant difference. I have no idea what else could help us narrowing this problem down.

(In reply to comment #0)
> Actual results:
> Print Queue says complete
> log file in printer state: "The job was reset"

Where did you see this "The job was reset" message ?
I can't find anything like that anywhere.
Comment 6 Dan Naughton 2012-06-04 10:36:42 EDT
Created attachment 589177 [details]
Screen shot of ricoh webserver on printer showing job was reset

The job was sent four times, and this screen shot is the error log on the printer showing that the job was reset.
Comment 7 Dan Naughton 2012-06-04 10:37:49 EDT
Created attachment 589178 [details]
Screen shot of ricoh webserver on printer detailing job #4 of 4

Additional (although limited) information on the job was reset.
Comment 9 Jiri Popelka 2012-06-04 14:31:18 EDT
Does printing a pdf file with 'lpr file.pdf' succeed ?
Comment 10 Dan Naughton 2012-06-04 15:34:53 EDT
lpr output.pdf - fails
lpr output.ps  - succeeds

gedit text file used for this test.  Print to file from dialog box in gedit.  Printed to postscript (output.ps) and pdf (output.pdf)

On Ricoh printer - same error message:

	Error Type 	: 	The job was reset.

	Error Content 	: 	Job has been cancelled.
Comment 11 Dan Naughton 2012-06-04 16:52:01 EDT
I changed the driver from the Ricoh CL1000N to the Generic postscript one, and the pdf file printed correctly (lpr output.pdf).  That may be the short term workaround?
Comment 12 Dan Naughton 2012-06-04 22:40:18 EDT
The original driver that wasn't working: RAF10003.PPD version 1.10 is now set to POSTSCRI.PPD version 1.1.
Comment 13 Jiri Popelka 2012-06-05 13:07:37 EDT
*** Bug 828301 has been marked as a duplicate of this bug. ***
Comment 14 Jiri Popelka 2012-06-06 08:21:39 EDT
I'm changing summary to better reflect what we know so far.
Bug #827490 could be another duplicate.
Comment 15 Jiri Popelka 2012-06-06 10:08:59 EDT
*** Bug 827490 has been marked as a duplicate of this bug. ***
Comment 16 Jiri Popelka 2012-06-06 10:46:15 EDT
So, if I understand it right the following chain
PDF file -> pdftops -> foomatic-rip -> postscript file
creates ps files that are incorrectly printed (or even not printed at all).
In case of this bug and bug #828301 nothing is printed out (even that error_log seems perfectly ok to me). In case of bug #827490 the output ps file looks ok in evince/okular but the printout has some errors (empty boxes instead of some characters).

But files created by
postscript file -> pstops -> foomatic-rip -> postscript file
chain are printed without any problems.

If my assumption is correct then we have the following components interested in this problem.
Note: the pdftops filter calls pdftops utility and pstops filter.
1) cups (/usr/lib/cups/filter/pdftops, /usr/lib/cups/filter/pstops)
2) poppler-utils (/usr/bin/pdftops)
3) foomatic (/usr/lib/cups/filter/foomatic-rip -> /bin/foomatic-rip)
4) ghostscript (/bin/gs)

So I'd suggest to downgrade these components ony by one and after each downgrade try to print a PDF file with 'lpr file.pdf'.
If the print succeeds then we know which version of which component makes this problem.
You could either user 'yum downgrade' or download the older builds from http://koji.fedoraproject.org/koji/.

Thanks.
Comment 17 Jiri Popelka 2012-06-06 10:51:53 EDT
I assume it's been caused by some update because you all filled the tickets at almost the same time and I don't remember any such report earlier.
But I can be wrong of course.
Comment 19 Tim Waugh 2012-06-20 12:09:48 EDT
Created attachment 593265 [details]
Print To File output from gedit

If you print this file with "lp output.pdf", what happens?

This is the result of using "Print To File" from gedit, with US Letter portrait output.
Comment 20 Manuel Schneckenreither 2012-06-20 13:07:44 EDT
Printing to File with gedit/evince is no problem for me. Using hpcups driver:
'HP LaserJet 3020 pcl3, hpcups 3.12.4' !
Comment 21 Tim Waugh 2012-06-21 06:00:53 EDT
Manuel: thanks.

Dan Naughton: I'm particularly interested in your experience of the test in comment #19, using the driver that sometimes fails ('Ricoh Aficio CL1000N PS').
Comment 22 Fedora End Of Life 2013-01-16 15:30:05 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Fedora End Of Life 2013-02-13 18:54:23 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.